Get Active Vendors
curl --request GET \
--url https://api.topsort.com/public/v1/offsite-ads/vendors/active \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.topsort.com/public/v1/offsite-ads/vendors/active"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topsort.com/public/v1/offsite-ads/vendors/active', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hasMore": true,
"nextPage": "<string>",
"vendors": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Offsite Ads API
Get Active Vendors
Get vendors that have at least one campaign created for the given DSP.
This endpoint returns a list of vendors that have at least one campaign created for the given DSP. The list is paginated and the next page token is returned in the response. The next page token can be used to get the next page of vendors.
GET
/
public
/
v1
/
offsite-ads
/
vendors
/
active
Get Active Vendors
Autorisations
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Paramètres de requête
The DSP to filter vendors by.
Options disponibles:
google_ads, meta Exemples:
"google_ads"
"meta"
Pagination cursor as provided in an earlier response. If provided will fetch the next page of results.
The pagination limit.
Plage requise:
0 <= x <= 365Cette page vous a-t-elle été utile ?